import { geoEqualEarth, geoMercator, geoPath } from 'd3';

const projection = geoMercator()
//const projection = geoEqualEarth()



export const Marks = ({ data: { laen, interiors } }) => {
  
  //var center = geoPath().centroid(laen.features)	//GeoJSON
	//	var scale  = 1;
	//const offset = [480, 250];
	//	var projection = geoMercator().scale(scale).center(center).translate(offset);
	
  const path = geoPath(projection.fitExtent([[20, 20], [940, 480]], laen))
  //const path = geoPath(projection)
  
  return (
  <g className="marks">
     {laen.features.map((feature) => (
      <path
        className={'feature'}
        d={path(feature)}
      />
    ))}
    <path
      className={'interiors'}
      d={path(interiors)}
    />
  </g>
)};
